No support for defining next_server in DHCP
Description

Currently an attempt to lookup the 'nextServer' results in 'true' which is not a valid value.

Should return the name of the tftp server, which I suppose should be defined in the config file.

Related issues:

Related to Foreman - Bug #837: Support JSON response from smartproxy tftp api... Closed 04/13/2011

History

#1 - 03/31/2011 03:25 AM - Ohad Levy

- Target version set to 0.2

#2 - 05/02/2011 05:32 AM - Ohad Levy

- Status changed from New to Closed

- Assignee set to Mark Bainter

#3 - 05/02/2011 05:33 AM - Ohad Levy

- Status changed from Closed to New

- Assignee deleted (Mark Bainter)

#4 - 05/02/2011 05:33 AM - Ohad Levy

- Status changed from New to Closed

- Assignee set to Mark Bainter

#5 - 08/06/2019 02:30 PM - Lukas Zapletal

- Description updated

I know it's been some time (8 years) but do you guys remember why TFTP server name was designed to be a setting and call in a smart proxy and

not Foreman app itself? This I think belongs to Subnet model as a field that users could define. I am thinking of refactoring this however I am failing

to understand why this was added this way, maybe I am missing something. But I don't see a single use of this setting in the smart-proxy codebase.

Thanks!

#6 - 08/06/2019 02:34 PM - Ewoud Kohl van Wijngaarden

From https://github.com/theforeman/foreman/pull/6465#discussion_r311097406 I'll share my understanding:

The purpose is service discovery. Let's say you have the following setup:

foreman.example.com

    dhcp.example.com

    tftp.example.com

 Now Foreman can query the foreman-proxy on tftp.example.com which address clients should use. Then on dhcp.example.com it can create the

DHCP record with the correct TFTP server address.
If you didn't have this, then the user needs to manually do this. Since multiple DHCP servers can share the same TFTP proxy this is actually useful.

All the user has to do is select the correct proxy for TFTP.

#7 - 08/06/2019 02:40 PM - Ohad Levy

Lukas Zapletal wrote:

I know it's been some time (8 years) but do you guys remember why TFTP server name was designed to be a setting and call in a smart proxy

and not Foreman app itself? This I think belongs to Subnet model as a field that users could define. I am thinking of refactoring this however I

am failing to understand why this was added this way, maybe I am missing something. But I don't see a single use of this setting in the

smart-proxy codebase. Thanks!

 AFAIR ISC DHCP over omshell will not accept a hostname, just ip, and I think we resolve it on the proxy in case anyone is using dns aliases or

something like that.

#8 - 08/06/2019 02:55 PM - Lukas Zapletal

Thank you both, I think we need to keep the setting on the proxy (but we can probably leverage capabilities instead) and probably keep the IP only

(since we heavily rely on OMSHELL). I need to test this first.
